
#include "RobboLito_def.h"
typedef struct
{
  uint8 pi[4], sq[4], wK, bK;
  boolean wtm, pedone;
  uint8 ep, n, nodes, _2; /* Gaviota comply */
} Type_PiSq;

boolean fare_PQ_with_ep_with_type (Type_PiSq*, uint8*, int);
boolean robbo_triple_lib_score (Type_PiSq*, int*, int);

int RegisterRobboTotalBases (char* DIRECTORY_MASTER); 
int DeRegisterRobboTotalBases ();
void GetTotalBase (char*);
int SetTotalBaseCache (int mega_bytes);
int RobboHasTotalBase (Type_PiSq*);

int SetTripleBaseCache (int mega_bytes);
boolean weak_probe_modify (int, int);
int LoadRobboTripleBases (char *);
int UnLoadRobboTripleBases ();
void GetTripleBase (char*);
int RobboHasTripleBase (Type_PiSq*);

void RobboBulkLoadFile (char *);
void RobboBulkDetachFile (char *);
void RobboBulkLoadDirectory (char *);
void RobboBulkDetachDirectory (char *);

void TotalBaseInit ();
void INIT_TRIPLE_BASE ();
void magic_mult_init ();
void InitBackGroundLoader ();
void CleanupTriple ();

void EmitTotalFileNames (Type_PiSq *, char *);
void EmitTripleFileNames (Type_PiSq *, char *);
void EmitTotalFilesInfo (Type_PiSq *, char *);
void EmitTripleFilesInfo (Type_PiSq *, char *);
